<div class="card" style="background-color: #173F6F;padding: 3px; box-shadow: 0px 0px 10px 3px #000; border-radius: 15px;">
 <div class="card-header" style="background-color: #173F6F; color: #A7CFFF; font-size: 1.65em; font-weight: bold; text-shadow: 1px 1px 3px #001; float: right; border-radius: 15px;">Utilisation du disque</div>
  <div class="table-responsive" style="background-color: #A6CEFE; color: #A7CFFF; border-radius: 15px;">
   <table id="diskuse" class="table table-condensed table-striped table-hover">

    <thead style="background-color: #476F9F; color: #B7D7FF;">
     <tr>
      <th class="w10p filesystem">Systeme de fichiers</th>
      <th class="w20p">Montage</th>
      <th>Utilisation</th>
      <th class="w15p">Libre</th>
      <th class="w15p">Utilise</th>
      <th class="w15p">Total</th>
     </tr>
    </thead>
    <tbody style="background-color: #A6CEFE; color: #000022;">
<?php
 error_reporting(E_ERROR | E_WARNING | E_PARSE);
 //include "./functions.php";
 try{
 $datas = array();
if (!(exec('/bin/df -T | awk -v c=`/bin/df -T | grep -bo "Type" | awk -F: \'{print $2}\'` \'{print substr($0,c);}\' | tail -n +2 | awk \'{print $1","$2","$3","$4","$5","$6","$7}\'', $df)))
{
    $datas[] = array(
        'total'         => 'N.A',
        'used'          => 'N.A',
        'free'          => 'N.A',
        'percent_used'  => 0,
        'mount'         => 'N.A',
        'filesystem'    => 'N.A',
    );
}
else
{
    $mounted_points = array();
    $key = 0;
    foreach ($df as $mounted)
    {
        list($filesystem, $type, $total, $used, $free, $percent, $mount) = explode(',', $mounted);
       if (strpos($type, 'tmpfs') !== false )
            continue;
?>
    <tr>
     <td><?php echo $filesystem ?></td>
     <td><?php echo $mount ?></td>
     <td><div class="progress"><div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="<?php echo trim($percent, '%') ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo trim($percent, '%') ?>%;"><?php echo trim($percent, '%') ?>%</div></div></td>
     <td><?php echo getSize($free * 1024) ?></td>
     <td><?php echo getSize($used * 1024) ?></td>
     <td><?php echo getSize($total * 1024) ?></td>
    </tr>
<?php
        $key++;
    }
}
} catch (Exception $e) {
    return false;
}
?>
    </tbody>
  </table>
 </div>
</div>